> ## Documentation Index
> Fetch the complete documentation index at: https://docs.danubeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Tools

> Search for tools by query. Matches against tool names and descriptions using semantic search.

Search for tools using natural language queries. The search matches against tool names and descriptions using semantic search.

## Example

```bash theme={null}
curl -X GET "https://api.danubeai.com/v1/tools/search?query=weather" \
  -H "danube-api-key: YOUR_API_KEY"
```


## OpenAPI

````yaml GET /tools/search
openapi: 3.0.1
info:
  title: Danube API
  description: Tool discovery and execution platform for AI assistants
  version: 1.0.0
servers:
  - url: https://api.danubeai.com/v1
security: []
paths:
  /tools/search:
    get:
      summary: Search Tools
      description: >-
        Search for tools by query. Matches against tool names and descriptions
        using semantic search.
      operationId: searchTools
      parameters:
        - name: query
          in: query
          description: >-
            Search query to match tool names and descriptions (e.g., 'get
            weather', 'fetch news')
          required: false
          schema:
            type: string
        - name: service_id
          in: query
          description: Filter results to a specific service
          required: false
          schema:
            type: string
        - name: tags
          in: query
          description: Filter by tags
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: List of matching tools
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Tool'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Tool:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the tool
        name:
          type: string
          description: Display name of the tool
        description:
          type: string
          description: What the tool does
        service_id:
          type: string
          description: ID of the service this tool belongs to
        parameters:
          type: object
          description: JSON Schema defining the tool's input parameters
        status:
          type: string
          enum:
            - active
            - inactive
          description: Whether the tool is currently active
        tags:
          type: array
          items:
            type: string
          description: Tags for categorizing the tool
    Error:
      type: object
      properties:
        detail:
          type: string
          description: Error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: danube-api-key
      in: header
      description: Your Danube API key

````